Bug 242579 - Rhythmbox install/update creates a faulty association for .mp3 extension
Rhythmbox install/update creates a faulty association for .mp3 extension
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-vfs (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 17:39 EDT by Eric Smith
Modified: 2008-06-16 21:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2007-06-04 17:39:19 EDT
Description of problem:

Fedora 7 update caused Rhythmbox to register for the "mp3" extension, despite
its inability to play mp3 files.  This overrode the previous, working
association for a different player from a non-Fedora source.

I understand why Fedora can't ship mp3 players, but the music players Fedora
does ship should not register associations for file types they can't actually play.

Version-Release number of selected component (if applicable):

rhythmbox-0.10.0-8.fc7

How reproducible:

100%

Steps to Reproduce:
1.  start from a FC6 installation with a working mp3 player from another source
(e.g., FreshRPMS)
2.  upgrade to F7
3.  double-click on an MP3 file
  
Actual results:

Rhythmbox starts, but says there is no music found

Expected results:

The originally configured music player should start

Additional info:
Comment 1 Bastien Nocera 2007-08-21 06:16:00 EDT
(In reply to comment #0)
> Description of problem:
> 
> Fedora 7 update caused Rhythmbox to register for the "mp3" extension, despite
> its inability to play mp3 files.  This overrode the previous, working
> association for a different player from a non-Fedora source.

It didn't. It would be gnome-vfs not remembering which application was the
default one for the file. It should be set in
~/.local/share/applications/defaults.list

To install MP3 support in Rhythmbox, see:
http://www.fedorafaq.org/#mp3
Comment 2 Bug Zapper 2008-05-14 08:48:48 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 21:25:28 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.